<?xml version="1.0"?>

<project 
  default="jar:install"
  xmlns:j="jelly:core"
  xmlns:ant="jelly:ant">

  <preGoal name="test:compile">
    <attainGoal name="simian:test"/>
  </preGoal>
  
  <goal name="simian:test" prereqs="java:compile">

    <taskdef name="simian" classname="org.apache.maven.simian.FileSimianTask">
      <classpath>
        <pathelement location="${maven.build.dest}"/>
        <pathelement location="${maven.test.dest}"/>
        <pathelement location="${pom.getPluginContext('maven-clover-plugin').getVariable('maven.build.clover.classes')}"/>
        <pathelement location="${pom.getDependencyPath('redhill:simian')}"/>
      </classpath>
    </taskdef>

    <simian output="${maven.build.dir}/simian-test/simian.log"
            lineCount="10"
            failOnDuplication="false">
      <fileset dir="${pom.build.unitTestSourceDirectory}" includes="**/*.java"/>
    </simian>

  </goal>

  <postGoal name="dist:prepare-src-filesystem">
    <ant:copy todir="${maven.dist.src.assembly.dir}">
      <ant:fileset dir="${basedir}">
        <ant:include name="plugin.jelly"/>
        <ant:include name="plugin.properties"/>
        <ant:include name="xdocs/**/*"/>
        <ant:include name="lib/**/*"/>
      </ant:fileset>
    </ant:copy>
  </postGoal>

  <preGoal name="dist:prepare-bin-filesystem">
    <attainGoal name="site"/>
  </preGoal>

  <postGoal name="dist:prepare-bin-filesystem">
    <copy file="${pom.getDependencyPath('redhill:simian')}" todir="${maven.dist.bin.assembly.dir}"/>
  </postGoal>

</project>